Create a case

Create a case in your workspace.


See also

Learn more about Cases
Learn more about Templates

Body Params
string
required
length between 1 and 180

Name for the case (at most 180 characters).

string
enum
Defaults to open

Optional status for this case, Defaults to open. To set the status to approved, rejected or closed, use the Create a case review endpoint.

Allowed:
string

Optional external id for this case. You can use that to reference an entity of your system. Must be unique if set.

string | null

Optional template key to attach template to this case.

uuid | null
deprecated

Prefer using template_key instead.
Optional template id to attach template to this case. Cannot be set at the same time as template_key.

uuid | null

Optional assignee id to assign a user to this case.

metadata
object | null

Optional metadata in a format of key (string) / value (string) for this case.

custom_properties
object

Optional partial custom properties object in a format of key (string) / value (string | boolean | string[] | number | null) to create the case.

Archived custom properties are not accepted.

tags
array of strings | null

Optional tags for this case. Either tag id, or tag label. Tag labels are case insensitive

tags
companies
array of objects
Defaults to

Optional array of companies to create within this case. Each company can reference other companies in the same payload using the ref field. At least one company with type: main is expected if companies are provided.

companies
individuals
array of objects
Defaults to

Optional array of individuals to create within this case. Individuals can reference companies in the same payload using source_company_ref in their relations.

individuals
Responses

400

The request is either malformed or contain invalid parameters.

  • Make sure the body payload matches the expected schema
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json